#
# spec file for package gnome-media (Version 1.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel indent libgpp libjpeg libpng libtiff libungif orbit orbit-devel scrollkeeper sox xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow sox strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnome-media
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    LGPL
Group:        X11/GNOME/Multimedia
Obsoletes:    gnmedia
Provides:     gnmedia
Requires:     tcd
Requires:     sox 
Autoreqprov:  on
Version:      1.2.3
Release:      110
Summary:      GNOME Multimedia (Media)
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-media-%{version}.tar.bz2
URL:          http://www.gnome.org
BuildRoot:    /var/tmp/gnome-media-root
Docdir:       %{_defaultdocdir}/gnome

%description
This package contains some multimedia programs for GNOME.
Documentation:
GNOME online help
/usr/share/doc/packages/gnome

Authors:
--------
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Raja R Harinath <harinath@cs.umn.edu>
    Tom Tromey <tromey@cygnus.com>

SuSE series: gnm

%package -n tcd
Summary:      Compact curses based CD player
Group:        Applications/Sound
Autoreqprov:  on

%description -n tcd
Compact curses based CD player, with easier key
control and more features than other CD players,
such as track repeat, continuous play, track
database, etc.

Authors:
--------
    Tim P. Gerla <timg@means.net>

SuSE series: ap

%prep
%setup -q -n gnome-media-%{version}
%{?suse_update_config:%{suse_update_config -f}}

%build
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%prefix \
    --datadir=%prefix/share \
    --localstatedir=%{_localstatedir} \
    --sysconfdir=%sysconfdir
make CFLAGS="$RPM_OPT_FLAGS" 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/bin/gmix
%{prefix}/bin/gtcd
%{prefix}/bin/vumeter
%{prefix}/bin/grecord
%{prefix}/share/gnome/*
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/*
%{prefix}/share/locale/*/*/*

%files -n tcd
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{prefix}/bin/cddbslave
%{prefix}/bin/cddbsubmit
%{prefix}/bin/tcd

%changelog -n gnome-media
* Fri Jun 15 2001 - hhetter@suse.de
- update to 1.2.3
- added scrollkeeper to neededforbuild
- filelist recheck
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Fri Dec 29 2000 - egger@suse.de
- Recompressed with bzip2.
- Fixed filelist.
- Cleaned up specfile.
- Fixed bug #5043: "Gnome, sound recorder with false path for sox"
- Added sox to the requirements.
* Thu Nov 09 2000 - ro@suse.de
- spec-file rework for Obsoletes/Provides
* Thu Nov 09 2000 - ro@suse.de
- -lesd where needed
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 09 2000 - hhetter@suse.de
- small fix to install grecord again
* Fri Sep 29 2000 - egger@suse.de
- Added %%{?suse_update_config:%%{suse_update_config -f}}
- Removed unneeded dependicies for a better Itanium build.
* Fri May 26 2000 - ke@suse.de
- Update to version 1.2.0.
- Use DESTDIR.
- Use more spec file macros.
* Mon May 22 2000 - egger@suse.de
- The usual changes to satisfy the new autobuild scripts.
* Sun Nov 28 1999 - ke@suse.de
- Install vumeter.
- Install cddbsubmit.
- Correct german message file.
* Wed Oct 13 1999 - ke@suse.de
- update: version 1.0.51.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Jun 02 1999 - ke@suse.de
- update: version 1.0.9.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.1.
* Tue Mar 02 1999 - ke@suse.de
- update: version 1.0.0.1 (pre).
* Wed Feb 17 1999 - ke@suse.de
- #neededforbuild: add esound and audiofil.
* Tue Feb 16 1999 - ke@suse.de
- update: version 0.99.8.
- use sysconfdir=/etc/opt/gnome.
- #neededforbuild: add orbit and orbitdev.
* Wed Feb 03 1999 - ke@suse.de
- update: version 0.99.5.
- use sysconfdir=/etc/gnome.
- package split: the tiny tcd is back again :-)))
- update gnmedia.test
* Mon Feb 01 1999 - uli@suse.de
- fixed #neededforbuild
* Sat Jan 23 1999 - ke@suse.de
- update: version 0.99.3
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.1.
- make it BuildRoot.
* Thu Nov 19 1998 - ro@suse.de
- update to 0.30
* Wed Jul 08 1998 - maddin@suse.de
- first S.u.S.E. version
